/////////////////////////////////////
//Fonctions utilises en cours de niveau
/////////////////////////////////////

function FinNiveau():void
{//Fonction de callback appele quand le niveau est termin.
	if(Partie.Gagnant.IsHuman)
		TerminerNiveau(1);
	else
		TerminerNiveau(0);
}

/////////////////////////////////////
//Fonctions utilises lors des changements de niveaux
/////////////////////////////////////
function TerminerNiveau(Valeur:int):void
{//Termine un niveau en affichant la boite de changement
//Dbloque un nouveau niveau si le dernier est russi

	Boite.visible=true;

	NumeroNiveauActuel+=Valeur;
	if(NumeroNiveauActuel>NumeroNiveauUnlockes && NumeroNiveauActuel<=11)
	{//Si il vient de russir le niveau sur lequel il tait bloqu
		NumeroNiveauUnlockes+=Valeur;//Dbloquer un nouveau niveau
		SESSION.NumeroNiveauActuel=NumeroNiveauActuel;//Et enregistrer en local la progression
		SESSION.NumeroNiveauUnlockes=NumeroNiveauUnlockes;
		ChangeLevelInfo.htmlText="Nouveau Niveau dbloqu !";
		LancerNouveauNiveau();
	}
	else if(NumeroNiveauUnlockes==11 && NumeroNiveauActuel>=11)
	{
		ShowMessage("<u>Flicitations !</u> Vous avez fini les 12 niveaux proposs par le jeu.<br>Maintenant, pourquoi ne pas tenter votre chance sur le prdecesseur de ce jeu, <a href=\"http://www.neamar.fr/Res/Agraphe/\" target=\"_blank\">AGraphe</a>  (mme graphique, mais concept diffrent) ? Sinon, vous pouvez aussi teindre votre ordinateur et reprendre une activit normale...<font size=\"-4\">(z'avez pas du boulot  faire ?)</font><br> la revoyure, Neamar.");
		NumeroNiveauActuel=11;
		if(contains(Partie.Terrain))
		{//C'est la premire fois que le jeu est fini :
			removeChild(Partie.Terrain);
			Boite.visible=false;
		}
		else
			UpdaterBoite();
	}
	else //Sinon, afficher la boite avec la liste des niveaux.
		UpdaterBoite();
}


function StopLevel(e:Event=null):void
{//Arrte le niveau directement.
 	TerminerNiveau(0);
  	Message_Container.visible=false;
	ChangeLevelInfo.htmlText="<b>Niveau abandonn !</b>";
}

function LancerNouveauNiveau(NumNiveau:int=-1):void
{//Lancer un niveau "quelconque"
	if(NumNiveau==-1)
		NumNiveau=NumeroNiveauActuel;

	if(Partie!=null && contains(Partie.Terrain))
		removeChild(Partie.Terrain);//Si Fond a dj t utilis, le nettoyer.
	Partie=GetLevelData(NumNiveau);
	Partie.CallBack=FinNiveau;
	addChild(Partie.Terrain);
	//Repasser la boite de message au premier plan
	setChildIndex(Partie.Terrain,0);

	Boite.visible=false;
	ChangeLevelInfo.htmlText="<u>Liste des niveaux</u>";
}